<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import AppPanelView2Base from './app-panel-view2-base.vue';

import view_panel from '@widgets/app/app-panel-view2-panel/app-panel-view2-panel.vue';
// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
        view_panel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class AppPanelView2 extends AppPanelView2Base {

}
</script>